"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tracker = exports.iDontDoAnything = exports.MetricType = void 0;
const request_1 = require("./request");
var MetricType;
(function (MetricType) {
    MetricType["View"] = "view";
    MetricType["Download"] = "download";
})(MetricType = exports.MetricType || (exports.MetricType = {}));
function iDontDoAnything() {
    return 'I do nothing';
}
exports.iDontDoAnything = iDontDoAnything;
function Tracker(defaults) {
    const getConfig = () => (Object.assign({ trackLocalhost: false, url: location.href, doi: "", repoId: location.hostname, apiHost: 'https://analytics.datacite.org' }, defaults));
    const trackMetric = (metric, config, eventOptions) => {
        (0, request_1.sendMetricEvent)(metric, Object.assign(Object.assign({}, getConfig()), config), eventOptions);
        if (config !== undefined) {
            console.log(`[DataCiteTracker] Tracking metric ${metric} for ${config.doi}`);
        }
    };
    return {
        trackMetric
    };
}
exports.Tracker = Tracker;
//# sourceMappingURL=tracker.js.map